Page MenuHomePhabricator

Add noglobal opt-out system to GlobalPreferences
Closed, ResolvedPublic2 Story Points

Description

Per T173474, developers should be able to add 'noglobal' => true to their preference definitions in order to exclude them from Special:GlobalPrefences.

Event Timeline

kaldari created this task.Aug 24 2017, 8:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 24 2017, 8:54 PM
DannyH triaged this task as Normal priority.Aug 29 2017, 11:53 PM
DannyH set the point value for this task to 2.
DannyH edited projects, added Community-Tech-Sprint; removed Community-Tech.
Samwilson claimed this task.Sep 6 2017, 7:59 AM
Samwilson moved this task from Ready to Needs Review/Feedback on the Community-Tech-Sprint board.

Change 376188 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/extensions/GlobalPreferences@master] Add 'noglobal' preference parameter, for extensions to opt out

https://gerrit.wikimedia.org/r/376188

Change 376188 merged by jenkins-bot:
[mediawiki/extensions/GlobalPreferences@master] Add 'noglobal' preference parameter, for extensions to opt out

https://gerrit.wikimedia.org/r/376188

Samwilson closed this task as Resolved.Sep 6 2017, 10:35 PM
Samwilson moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.